DNF-NEEDS-RESTARTING(8)

NUME
dnf-needs-restarting - modulul „needs_restarting” al DNF

Verifică dacă există procese care rulează și care trebuie repornite.

REZUMAT

dnf needs-restarting [-u] [-r]

DESCRIERE

needs-restarting analizează procesele care rulează și încearcă să le detecteze pe cele care utilizează fișiere din pachete care au fost actualizate după ce procesul respectiv a fost inițiat. Astfel de procese sunt raportate de acest instrument.

Rețineți că, în cele mai multe cazuri, un proces ar trebui să supraviețuiască actualizării sistemului binar și a bibliotecilor pe care le utilizează fără a fi necesară o repornire pentru a funcționa corect. Cu toate acestea, există cazuri specifice în care acest lucru nu se aplică. De asemenea, procesele trebuie adesea repornite pentru a reflecta actualizările de securitate.

OPȚIUNI

Toate opțiunile generale DNF sunt acceptate, a se vedea Opțiuni în dnf(8) pentru detalii.

-u, --useronly
        Ia în considerare numai procesele care aparțin utilizatorului care rulează.

-r, --reboothint
        Raportează numai dacă este necesară o repornire (cod de ieșire 1) sau nu (cod de ieșire 0).

    -s, --services
        Enumeră numai serviciile „systemd” afectate.

CONFIGURARE

/etc/dnf/plugins/needs-restarting.d/

/etc/dnf/plugins/needs-restarting.d/pkgname.conf

Pachetele pot fi adăugate la needs-restarting prin intermediul fișierelor de configurare din directorul config. Fișierele de configurare trebuie să aibă extensia .conf, altfel vor fi ignorate.

Este permis mai mult de un pachet în fiecare fișier (un pachet pe linie), deși se recomandă să se utilizeze un singur fișier pentru fiecare pachet.

Exemplu:

        ^".ft C$
        echo "dwm" > /etc/dnf/plugins/needs-restarting.d/dwm.conf
        ^".ft P$

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2023, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.